Name:           unzoo
Version:        4.4
Release:        %mkrel 7
Summary:        ZOO archive extractor

Group:          Archiving/Compression
License:        Public Domain
URL:            http://archives.math.utk.edu/software/multi-platform/gap/util/unzoo.c
Source0:        http://archives.math.utk.edu/software/multi-platform/gap/util/unzoo.c

Patch0:         unzoo-convert-strcpy_strcat-to-strncpy_strncat.patch
Patch1:         unzoo-directory-points-backward.patch
Patch2:         unzoo-warning-fixes.patch


%description
'unzoo' is a zoo archive extractor.  A zoo archive is a file that
contains several files, called its members, usually in compressed form
to save space.  'unzoo' can list all or selected members or extract
all or selected members, i.e., uncompress them and write them to
files.  It cannot add new members or delete members.  For this you
need the zoo archiver, called 'zoo', written by Rahul Dhesi.


%prep
%setup -Tc -n %{name}-%{version}
cp -a %{SOURCE0} .
cat %{SOURCE0} | sed -e '/SYNTAX/,/\*\//!d' | cut -c5- > unzoo.txt

%patch -P 0 -p1 -b .strncpy
%patch -P 1 -p1 -b .revdir
%patch -P 2 -p1 -b .warnings


%build
gcc %{optflags} -o unzoo -DSYS_IS_UNIX unzoo.c


%install


# Install binaries
install -Dpm 755 unzoo %{buildroot}%{_bindir}/unzoo


%files
%{_bindir}/unzoo
%doc unzoo.txt




%changelog
* Sun Dec 22 2024 pterjan <pterjan> 4.4-7.mga10
+ Revision: 2128228
- Rebuild for patchN deprecation

* Tue Mar 15 2022 umeabot <umeabot> 4.4-6.mga9
+ Revision: 1792392
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 4.4-5.mga8
+ Revision: 1517728
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 4.4-4.mga7
+ Revision: 1301535
- Mageia 7 Mass Rebuild

* Tue Feb 09 2016 umeabot <umeabot> 4.4-3.mga6
+ Revision: 952756
- Mageia 6 Mass Rebuild

* Mon Feb 01 2016 umeabot <umeabot> 4.4-2.mga6
+ Revision: 930522
- Mageia 6 Mass Rebuild

* Thu May 14 2015 spuhler <spuhler> 4.4-1.mga5
+ Revision: 822077
- cleaned spec file for first build
- imported package unzoo

